Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 453567 - Review Request: libfonts - Java TrueType Font Layouting
Summary: Review Request: libfonts - Java TrueType Font Layouting
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jason Tibbitts
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-07-01 12:05 UTC by Caolan McNamara
Modified: 2008-07-04 23:05 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-07-04 23:05:31 UTC
tibbs: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Caolan McNamara 2008-07-01 12:05:51 UTC
Spec URL: http://people.redhat.com/caolanm/jfreereport/libfonts.spec
SRPM URL: http://people.redhat.com/caolanm/jfreereport/libfonts-0.3.4-1.fc9.src.rpm
Description:  Java TrueType Font Layouting

libfonts is a dependency of jfreereport which is a dependency of OpenOffice.org3's report generating functionality

Comment 1 Jason Tibbitts 2008-07-02 20:43:41 UTC
Builds fine for me; rpmlint only has the usual bogus complaint about the Group:.
 The URL continues to not provide any information about this package, but google
doesn't turn up a better URL to use.  I can't even find a download link.  Is it
possible to use a reasonable URL for this package?  Maybe just use
http://sourceforge.net/projects/jfreereport/, which I found from searching
around on sourceforge and which actually has libfonts in the download section.

The current release seems to be 0.4.0, out May 30.  Any reason not to use it?

Here's my checklist for the 0.3.4 version:
* source files match upstream:
   7c8616aee3b8affc38d96e6cdf96fc49bd4a3834c1452abb189609fbce1f0ea8
   libfonts-0.3.4.tar.gz
* package meets naming and versioning guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* summary is OK.
* description is OK.
* dist tag is present.
* build root is OK.
* license field matches the actual license.
* license is open source-compatible.
* license text included in package.
* BuildRequires are proper.
* %clean is present.
* package builds in mock (rawhide, x86_64).
* package installs properly.
* debuginfo package looks complete.
* rpmlint has acceptable complaints.
* final provides and requires are sane:
  libfonts-0.3.4-1.fc10.x86_64.rpm
   libfonts.jar.so()(64bit)
   libfonts = 0.3.4-1.fc10
  =
   /bin/sh
   java
   java-gcj-compat >= 1.0.31
   jcommon
   jpackage-utils
   libgcc_s.so.1()(64bit)
   libgcc_s.so.1(GCC_3.0)(64bit)
   libgcj_bc.so.1()(64bit)
   libloader >= 0.3.7-1
   libz.so.1()(64bit)

  libfonts-javadoc-0.3.4-1.fc10.x86_64.rpm
   libfonts-javadoc = 0.3.4-1.fc10
  =
   jpackage-utils
   libfonts = 0.3.4-1.fc10

* %check is not present; no test suite upstream.
* no shared libraries are added to the regular linker search paths.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* scriptlets OK 
* code, not content.
* %docs are not necessary for the proper functioning of the package.
* no pre-built jars
* single jar, named after the package
* jarfiles are under _javadir.
* javadocs are under _javadocdir.
* ant called properly.
* gcj called properly.

Comment 2 Caolan McNamara 2008-07-03 14:28:16 UTC
As regards the versions, there are 13 (!) dependencies towards jfreereport
itself, and these were the latest when I started importing them around the 8th
May. There are newer ones now, but unfortunately there is then an additional low
level dependency in the new version chain. I'd hoped to get this chain imported
before resetting back to the start and adding the new low-level one and updating
everything to match that extra dependency.

The route from the URL to the relevant section is: http://reporting.pentaho.org/
and "Classic Engine Originally known as JFreeReport," and go to link downloads

I could use "http://reporting.pentaho.org/classic_engine.php" which is a new
page for the reporting engine formerly known as jfreereport

Comment 3 Jason Tibbitts 2008-07-04 02:26:07 UTC
I see what you mean about the dependencies; I found the dependency graph and
it's pretty horrendous.  There's no requirement that you submit the absolute
latest version of something, I just try to make sure that submitters know
they're submitting something that's a little out of date.

I guess if I get to the downloads page and then pick "Browse All Files" then I
can see all of the dependent packages.  That's not really ideal, but seems good
enough to me.

Anyway, there's no reason to hold things up.

APPROVED

Comment 4 Caolan McNamara 2008-07-04 10:44:10 UTC
New Package CVS Request
=======================
Package Name: libfonts
Short Description: Java TrueType Font Layouting
Owners: caolanm
Branches: 
InitialCC: 
Cvsextras Commits: yes


Comment 5 Kevin Fenzi 2008-07-04 20:34:01 UTC
cvs done.


Note You need to log in before you can comment on or make changes to this bug.